STRINGS(1)

NOME
strings - stampa le stringhe dei caratteri stampabili nei file.

SINTASSI
strings [-afovV] [-min-len]
        [-n min-len] [--bytes=min-len]
        [-t radix] [--radix=radix]
        [-e encoding] [--encoding=encoding]
        [-] [--all] [--print-file-name]
        [-T bfdname] [--target=bfdname]
        [--help] [--version] file...

DESCRIZIONE
Per ciascun file dato, GNU strings stampa la sequenza di caratteri stampabili lunga almeno 4 caratteri (o il numero dato con le opzioni sottostanti) ed è seguita da un carattere non stampabile. In modo predefinito, esso stampa solo le stringhe dalle sezioni di file oggetto inizializzate e caricate; per altri tipi di file, esso stampa le stringhe dell'intero file.

strings è utile principalmente per determinare i contenuti dei file non di testo.

OPZIONI

-a
--all
-   Non analizza solo le sezioni di file oggetto non inizializzate e caricate; analizza tutti i file.

-f
--print-file-name
    Stampa il nome del file prima di ciascuna stringa.

--help
    Stampa un riassunto dell'uso del programma sullo standard output ed esce.

-min-len
-n min-len
--bytes=min-len
    Stampa sequenze di caratteri che siano lunghe almeno min-len caratteri, invece dei 4 predefiniti.

-o  Come -t o. Alcune altre versioni di strings hanno -o che agisce invece come -t d. Poiché non si può essere compatibili con entrambe le modalità, se ne scelga solamente una.

-t radix
--radix=radix
    Stampa l'offset all'interno del file prima di ciascuna stringa. L'argomento di un solo carattere specifica la base dell'offset---o per ottale, x per esadecimale, o d per decimale.

-e encoding
--encoding=encoding
    Seleziona la codifica dei caratteri delle stringhe da trovare. I valori possibili per encoding sono: s = caratteri di un solo byte di 7-bit (ASCII, ISO 8859, ecc., default), S = caratteri di un solo byte di 8-bit, b = 16-bit bigendian, l = 16-bit littleendian, B = 32-bit bigendian, L = 32-bit littleendian. Utile per trovare grandi stringhe di caratteri. (l e b si applicano, per esempio, alle codifiche Unicode UTF-16/UCS-2).

-T bfdname
--target=bfdname
    Specifica un formato di codice oggetto diverso dal formato predefinito del sistema in uso.

-v
-V
--version
    Stampa il numero di versione del programma sullo standard output ed esce.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), nm(1), objdump(1), ranlib(1), readelf(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2013 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

DIRITTI DI COPIA
Copyright (c) 1991-2013 Free Software Foundation, Inc.

Traduzione in italiano a cura di ILDP - Italian Linux Documentation Project http://www.pluto.it/ildp. Segnalare eventuali errori di traduzione a ildp@pluto.it

Questa è una traduzione non ufficiale in italiano dei permessi di copia riportati nella precedente sezione "COPYRIGHT". Non è una pubblicazione della Free Software Foundation, e non ha validità legale per i termini di distribuzione della documentazione; solo il testo originale inglese ha tale validità.

This is an unofficial translation into Italian of the above section "COPYRIGHT". It was not published by the Free Software Foundation, and does not legally state the distribution terms for this documentation; only the original English text does that.

È permesso copiare, distribuire e/o modificare questo documento seguendo i termini della GNU Free Documentation License (Licenza per documentazione libera GNU), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata "GNU Free Documentation License" (Licenza per la documentazione libera GNU).